org.apache.cassandra.index.sasi.disk

## Class OnDiskIndex.PointerTerm

- java.lang.Object
- - org.apache.cassandra.index.sasi.Term
  - - org.apache.cassandra.index.sasi.disk.OnDiskIndex.PointerTerm

Enclosing class:
  OnDiskIndex

    protected static class OnDiskIndex.PointerTerm
    extends Term

### Field Summary

### Fields inherited from class org.apache.cassandra.index.sasi.Term

`content, termSize`

### Constructor Summary

Constructors
Constructor and Description
`PointerTerm(MappedBuffer content, OnDiskIndexBuilder.TermSize size, boolean hasMarkedPartials)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getBlock()`

### Methods inherited from class org.apache.cassandra.index.sasi.Term

`compareTo, compareTo, getDataOffset, getTerm, isPartial`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PointerTerm

    public PointerTerm(MappedBuffer content,
                       OnDiskIndexBuilder.TermSize size,
                       boolean hasMarkedPartials)

### Method Detail

#### getBlock

    public int getBlock()